Subject: [netlmm] The function of IPv4 DHCP Support Mode Option

From: [email-masked]
Date: Thu, 19 Mar 2009 16:29:40 +0800

Hi all,
I'm a freshman here.
Recently I read the draft-ietf-netlmm-pmip6-ipv4-support-09.txt.
I'm not very sure about the function of the new option, IPv4 DHCP Support 
Mode Option.
Here are my two questions/comments:
1. The MAG can decide which DHCP role(relay or server) to play by itself.
    Is it neccessary the LMA ask which role the MAG should play through 
this option?
    What requirment dose this new option satisfy exactly? 

2. If the MAG can't act as a DHCP Server when receiving IPv4 DHCP Support 
Mode Option within S Flag set to "1" in PBA,  What should the MAG do then 
?

Best Wishes.

Joy Chou